(* Change DCO frequency, MS, pin & port for S? & baudrate for MSP430FR2433

This table is stored in info FRAM at address FROZEN2
The documented table is the default table!
A few examples are shown below, just fiddle with the backslashes

Address Offset  Value   Function
---------------------------------------------------------------
1832     00     07CF    MS# for MS \ MS# = (ClockFreq/4000)-1
1834     02       00    FRCTL0, FRAM wait states
1835     03       06    CSCTL1, DCO frequency range
1836     04     00F4    CSCTL2, Refclock multiplier
1838     06       06    eUSCI as UART (00=UART0, 06=UART1)
1839     07       08    Port bit mask for switch S?
183A     08     0201    PxIN, Port address for S?
183C     0A     0004    UCAxBR, Baud rate
183E     0C     5551    UCAxMCTLW, Baud rate

MS = Millisec, /MS = 100 Microsec,  //MS = 10 Microsec.
    CLOCK   MS      /MS     //MS
    24 mhz  5999    599     59
    20 mhz  4999    499     49
    16 mhz  3999    399     39
    12 mhz  2999    299     29
    8 mhz   1999    199     19
    4 mhz   999     99      9
    2 mhz   499     49      4
    1 mhz   249     24      2
    32 khz  4       -       -

*)

create CONFIG-TABLE
\   0F9 , 00 c, 0 c, 01E , 0 c, 8 c, 201 , 08 , D600 ,  \ MS=O249, 0 Wait,  1MHz, eUSCI-0, P2.3, 115K2
\   1F3 , 00 c, 2 c, 03D , 0 c, 8 c, 201 , 11 , 0300 ,  \ MS=0499, 0 Wait,  2MHz, eUSCI-0, P2.3, 115K2
\   3E7 , 00 c, 4 c, 07A , 0 c, 8 c, 201 , 02 , BB21 ,  \ MS=0999, 0 Wait,  4MHz, eUSCI-0, P2.3, 115K2
\   7CF , 00 c, 6 c, 0F4 , 0 c, 8 c, 201 , 34 , 4911 ,  \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P2.3, 9600B
\   7CF , 00 c, 6 c, 0F4 , 0 c, 8 c, 201 , 11 , DD51 ,  \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P2.3, 28K8
\   7CF , 00 c, 6 c, 0F4 , 0 c, 8 c, 201 , 08 , F7A1 ,  \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P2.3, 57K6
\   7CF , 00 c, 6 c, 0F4 , 0 c, 8 c, 201 , 04 , 5551 ,  \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P2.3, 115K2  <<
\   BB7 , 10 c, 8 c, 16E , 0 c, 8 c, 201 , 06 , 2081 ,  \ MS=2999, 1 Wait, 12MHz, eUSCI-0, P2.3, 115K2
\   F9F , 10 c, A c, 1E8 , 0 c, 8 c, 201 , 68 , D621 ,  \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P2.3, 9600B
\   F9F , 10 c, A c, 1E8 , 0 c, 8 c, 201 , 11 , DD51 ,  \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P2.3, 57K6
    F9F , 10 c, A c, 1E8 , 0 c, 8 c, 201 , 08 , F7A1 ,  \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P2.3, 115K2
\   F9F , 10 c, A c, 1E8 , 0 c, 8 c, 201 , 04 , 5551 ,  \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P2.3, 230K4

v: inside
: NEW>CONFIG ( -- )
    config-table  [ ' frozen >body cell+ @ ] literal  0E {info move info} ;
v: forth

new>config

\ End
