(* Change DCO frequency, MS, pin & port for S? & baudrate for MSP430G2955

This table is stored in info FLASH at address FROZEN2
The documented table is the default table!
A few examples are shown below, just fiddle with the backslashes

The address of FROZEN2 is at ' FROZEN 2 cells + @
It is stored right behind the value of FROZEN, but without header!

Addr.  Offset   Value   Function
----------------------------------------------------------
10B2     00     07CF    MS# for MS (lo-byte) \ MS# = (ClockFreq/4000)-1
10B4     02     A550    FCTL2, Flash controller clock divider & password
10B6     04       FC    lo-byte of 10xx, the address in DCO table for 8MHz
10B7     05       10    Port bit mask for switch S?
10B8     06     0020    PxIN, Port address for S?
10BA     08       41    UCA0BR0  \ Baud rate
10BB     09       03    UCA0BR1  \ Baud rate
10BC     0A       04    UCA0MCTL \ Baud rate
10BD     0B       FF    Not used
10BE     0C       FF    Not used
10BF     0D       FF    Not used

MS is built into noForth and uses the value from the first
parameter cell stored at FROZEN2, The value /MS may be used
for a word that delays 1/10 millisec each step. The value at
//MS may be used for a word that delays 1/100 millisec. each
step! Note that you may use the value from the table divided
by 10 for defining /MS or 100 for //MS
All these values are in decimal!

            MS      /MS     //MS
    Clock   MOON    moon    moon
    20 mhz  4999    499     49
    16 mhz  3999    399     39
    8 mhz   1999    199     19
    4 mhz   999     99      9
    2 mhz   499     49      4
    1 mhz   249     24      -
    32 khz  4       -       -

*)

create CONFIG-TABLE
\    ms,   flash,  DCO, Bitmask,  Port,     Baud,    MSP430G2955 as used on Cosey robot
\ Baudrate = 9600, P1.4 = switch, all examples for the Cosey robot
\   00F9 ,  A542 ,  FE c,  10 c,  0020 ,  0068 ,  02 c,  FF c,  FFFF ,  \ 1 MHz
\   07CF ,  A550 ,  FC c,  10 c,  0020 ,  0341 ,  04 c,  FF c,  FFFF ,  \ 8 MHz <<
\   0F9F ,  A562 ,  F8 c,  10 c,  0020 ,  0682 ,  06 c,  FF c,  FFFF ,  \ 16 MHz
\ Parameter data for MSP430G2955, Baudrate = 38K4, P1.4 = switch
\   00F9 ,  A542 ,  FE c,  10 c,  0020 ,  001A ,  00 c,  FF c,  FFFF ,  \ 1 MHz
\   07CF ,  A550 ,  FC c,  10 c,  0020 ,  00D0 ,  06 c,  FF c,  FFFF ,  \ 8 MHz
    0F9F ,  A562 ,  F8 c,  10 c,  0020 ,  01A0 ,  0C c,  FF c,  FFFF ,  \ 16 MHz

v: inside
: NEW>CONFIG     ( -- )
    frozen  here  [ 40 0E - ] literal  tidy)
    config-table  [ ' frozen >body cell+ @ ] literal  0E rommove ;
v: forth

new>config

\ End
