(* Change DCO frequency, MS, pin & port for S? & baudrate for MSP430FR5739

This table is stored in info FRAM at address FROZEN2
The documented table is the default table!
A few examples are shown below, just fiddle with the backslashes

Address Offset  Value   Function
------------------------------------------------------------------------
1872     00     07CF    MS# for MS \ MS# = (ClockFreq/4000)-1
1874     02       00    FRCTL0, FRAM wait states
1875     03       06    CSCTL1, DCO frequency
1876     04       00    eUSCI (00=eUSCI0, 06=eUSCI1)
1877     05       02    Port bit mask for switch S?
1878     06     0221    PxIN, port address for S?
187A     08     0034    UCAxBR, Baud rate
187C     0A     4911    UCAxMCTLW, Baud rate
187E     0C     FFFF    Not used

MS = Millisec, /MS = 100 Microsec,  //MS = 10 Microsec.
    CLOCK   MS      /MS     //MS
    24 mhz  5999    599     59
    20 mhz  4999    499     49
    16 mhz  3999    399     39
    12 mhz  2999    299     29
    8 mhz   1999    199     19
    4 mhz   999     99      9
    2 mhz   499     49      4
    1 mhz   249     24      2
    32 khz  4       -       -

*)

create CONFIG-TABLE
\ *** eUSCI-1 ***
\   7CF , 00 c, 06 c, 6 c, 02 c, 200 , 34 , 4911 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-1, P1.1, 9600B
\   7CF , 00 c, 06 c, 6 c, 02 c, 200 , 04 , 5551 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-1, P1.1, 115K2
\   F9F , 10 c, 80 c, 6 c, 80 c, 201 , 68 , D621 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-1, P2.7, 9600B
\   F9F , 10 c, 80 c, 6 c, 02 c, 200 , 08 , F7A1 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-1, P1.1, 115K2

\ *** eUSCI-0 ***
\   7CF , 00 c, 06 c, 0 c, 02 c, 200 , 34 , 4911 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P1.1, 9600B <<
\   7CF , 00 c, 06 c, 0 c, 02 c, 200 , 08 , F7A1 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P1.1, 57K6
\   7CF , 00 c, 06 c, 0 c, 02 c, 200 , 04 , 5551 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P1.1, 115K2
\   F9F , 10 c, 80 c, 0 c, 02 c, 200 , 68 , D621 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P1.1, 9600B
\   F9F , 10 c, 80 c, 0 c, 02 c, 200 , 11 , DD51 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P1.1, 57K6
\   F9F , 10 c, 80 c, 0 c, 02 c, 200 , 08 , F7A1 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P1.1, 115K2
   176F , 20 c, 86 c, 0 c, 02 c, 200 , 0D , 2501 , FFFF , \ MS=5999, 2 Wait, 24MHz, eUSCI-0, P1.1, 115K2

v: inside
: NEW>CONFIG ( -- )
    config-table  [ ' frozen >body cell+ @ ] literal  0E {info move info} ;
v: forth

new>config

\ End
