(* Change DCO frequency, MS, pin & port for S? & baudrate for MSP430F149

This table is stored in info FLASH at address FROZEN2
The documented table is the default table!
A few examples are shown below, just fiddle with the backslashes

The address of FROZEN2 is at ' FROZEN 2 cells + @
It is stored right behind the value of FROZEN, but without header!

Addr.  Offset   Value   Function
----------------------------------------------------------
1072     00     07CF    MS# for MS (lo-byte) \ MS# = (ClockFreq/4000)-1
1074     02     A550    FCTL2, Flash controller clock divider & password
1076     04       FF    Not used
1077     05       08    Port bit mask for switch S?
1078     06     0020    PxIN, Port address for S?
107A     07       00    Uart (00=Uart0, 04=Uart1)
107B     08       41    UCA0BR0 \ Baud rate
107C     09       03    UCA0BR1 \ Baud rate
107D     0A       09    UA0MCTL \ Baud rate
107E     0B       FF    Not used
107F     0C       FF    Not used

MS is built into noForth and uses the value from the first
parameter cell stored at FROZEN2, The value /MS may be used
for a word that delays 1/10 millisec each step. The value at
//MS may be used for a word that delays 1/100 millisec. each
step! Note that you may use the value from the table divided
by 10 for defining /MS or 100 for //MS
All these values are in decimal!

            MS      /MS     //MS
    Clock   MOON    moon    moon
    8 mhz   1999    199     19
    4 mhz   999     99      9
    2 mhz   499     49      4
    1 mhz   249     24      -
    32 khz  4       -       -

*)

create CONFIG-TABLE
\    ms,   flash,  Empty, bitmask, Port,  Baud,        Empty ... for MSP430F149
\ Baudrate = 9600, P1.3 = switch,
\   07CF , A550 , FF c, 10 c, 0018 , 04 c, 41 c, 03 c, 09 c, FFFF , \ 8 MHz, Uart-1, P3.4, 9600B - Minim Core
\   07CF , A550 , FF c, 10 c, 0018 , 04 c, D0 c, 00 c, 11 c, FFFF , \ 8 MHz, Uart-1, P3.4, 38K4  - Minim Core
\   07CF , A550 , FF c, 08 c, 0020 , 00 c, 41 c, 03 c, 09 c, FFFF , \ 8 MHz, Uart-0, P1.3, 9600B - Dupont <<
    07CF , A550 , FF c, 08 c, 0020 , 00 c, D0 c, 00 c, 11 c, FFFF , \ 8 MHz, Uart-0, P1.3, 38K4  - Dupont
\   07CF , A550 , FF c, 02 c, 0020 , 00 c, 41 c, 03 c, 09 c, FFFF , \ 8 MHz, Uart-0, P1.1, 9600B - Mini-V3
\   07CF , A550 , FF c, 02 c, 0020 , 00 c, D0 c, 00 c, 11 c, FFFF , \ 8 MHz, Uart-0, P3.4, 38K4  - Mini-V3
\   07CF , A550 , FF c, 02 c, 0018 , 00 c, 41 c, 03 c, 09 c, FFFF , \ 8 MHz, Uart-0, P3.1, 9600B - Hexapod
\   07CF , A550 , FF c, 02 c, 0018 , 04 c, D0 c, 00 c, 11 c, FFFF , \ 8 MHz, Uart-1, P3.1, 38K4  - Hexapod

v: inside
: NEW>CONFIG     ( -- )
    frozen  here  [ 80 0E - ] literal  tidy)
    config-table  [ ' frozen >body cell+ @ ] literal  0E rommove ;
v: forth

new>config

\ End
